// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UBehaviorTreeGraph.h"
#include "BehaviorTreeGraph.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UBehaviorTreeGraph::SCW_UBehaviorTreeGraph(UBehaviorTreeGraph* InBehaviorTreeGraph) : SCW_UAIGraph(InBehaviorTreeGraph), BehaviorTreeGraph(InBehaviorTreeGraph)
{

}

UBehaviorTreeGraph* SCW_UBehaviorTreeGraph::ToUBehaviorTreeGraph() const
{
	return BehaviorTreeGraph;
}

ISCW_UBehaviorTreeGraphPtr SCW_UBehaviorTreeGraph::ToUBehaviorTreeGraphPtr()
{
	return GetSharedThisAs<SCW_UBehaviorTreeGraph>();
}

ISCW_UBehaviorTreeGraphConstPtr SCW_UBehaviorTreeGraph::ToUBehaviorTreeGraphPtr() const
{
	return GetSharedThisAs<SCW_UBehaviorTreeGraph>();
}